﻿#version 330
layout(location = 0) in vec2 aPosition;
layout(location = 1) in vec2 aTexCoord;
out vec2 texCoord;
out vec4 vertexColor;
uniform vec4 objColor;

uniform mat4 windowMatrix;

void main(void)
{
    texCoord = aTexCoord;
    gl_Position =  vec4(aPosition, 0.0, 1.0) * windowMatrix;
    vertexColor = objColor;
}