﻿#version 330 core
layout (location = 0) in vec2 aPos;
uniform vec4 objColor;
out vec4 vertexColor;

uniform mat4 windowMatrix;

void main()
{
    gl_Position = vec4(aPos, 0.0, 1.0) * windowMatrix;
    vertexColor = objColor;
}