﻿namespace GraphicsManager.Enums;

[Flags]
public enum ObjectAnchor : byte
{
	Left                = 0b_00_0001,
	Top                 = 0b_00_0010,
	Right               = 0b_00_0100,
	Bottom              = 0b_00_1000,
	
	PreventWidthChange  = 0b_01_0000 | Left | Right,
	PreventHeightChange = 0b_10_0000 | Top | Bottom,
	
	All = Left | Top | Right | Bottom,
	Prevent = PreventWidthChange | PreventHeightChange,
}
